Package org.apache.calcite.avatica

# Enum InternalProperty

java.lang.Object
java.lang.Enum<InternalProperty>
org.apache.calcite.avatica.InternalProperty

All Implemented Interfaces:
  `Serializable`, `Comparable<InternalProperty>`, `java.lang.constant.Constable`

public enum InternalProperty extends Enum<InternalProperty>
Definitions of properties that drive the behavior of `AvaticaDatabaseMetaData`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CASE_SENSITIVE`
Whether identifiers are matched case-sensitively.
`NULL_SORTING`
How identifiers are stored if they are not quoted.
`QUOTED_CASING`
How identifiers are stored if they are quoted.
`QUOTING`
How identifiers are quoted.
`SQL_KEYWORDS`
Character that quotes identifiers.
`UNQUOTED_CASING`
How identifiers are stored if they are not quoted.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBoolean(Map<InternalProperty,Object> map)`
Returns the boolean value of this property.
`<E extends Enum>
E`
`getEnum(Map<InternalProperty,Object> map, Class<E> enumClass)`
Returns the enum value of this property.
`String`
`getString(Map<InternalProperty,Object> map)`
Returns the string value of this property, or null if not specified and no default.
`static InternalProperty`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static InternalProperty[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CASE_SENSITIVE

public static final InternalProperty CASE_SENSITIVE
Whether identifiers are matched case-sensitively.

### SQL_KEYWORDS

public static final InternalProperty SQL_KEYWORDS
Character that quotes identifiers.

### QUOTING

public static final InternalProperty QUOTING
How identifiers are quoted.

### QUOTED_CASING

public static final InternalProperty QUOTED_CASING
How identifiers are stored if they are quoted.

### UNQUOTED_CASING

public static final InternalProperty UNQUOTED_CASING
How identifiers are stored if they are not quoted.

### NULL_SORTING

public static final InternalProperty NULL_SORTING
How identifiers are stored if they are not quoted.

## Method Details

### values

public static InternalProperty[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static InternalProperty valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getString

public String getString(Map<InternalProperty,Object> map)
Returns the string value of this property, or null if not specified and no default.

### getBoolean

public boolean getBoolean(Map<InternalProperty,Object> map)
Returns the boolean value of this property. Throws if not set and no default.

### getEnum

public <E extends Enum> E getEnum(Map<InternalProperty,Object> map, Class<E> enumClass)
Returns the enum value of this property. Throws if not set and no default.